Productsup
API referenceV1Export marketing

Update an export marketing

Export marketing is the marketing information of an export. This endpoint allows the updating of an export marketing.

PATCH
/V1/export/{exportId}/export-marketing

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

exportId*string

Export id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://export-template-api.productsup.com/V1/export/string/export-marketing" \  -H "Content-Type: application/json" \  -d '{    "type": 2,    "publish": true,    "marketingTitle": "A even cooler title",    "websiteLink": "https://www.example.com",    "landingPageLink": "https://www.example.com/welcome",    "featured": true,    "products": [      "platform",      "travel",      "commerce"    ],    "description": "The export could be better",    "priority": 6,    "helpLink": "500",    "exportCategoryIds": [      522    ],    "exportCountryIds": [      "NL"    ],    "exportBrandId": 2653  }'
{
  "data": {
    "id": 40996,
    "export": {
      "id": 59071
    },
    "type": 2,
    "publish": true,
    "marketingTitle": "A even cooler title",
    "websiteLink": "https://www.example.com",
    "landingPageLink": "https://www.example.com/welcome",
    "featured": true,
    "products": [
      "platform",
      "travel",
      "commerce"
    ],
    "description": "The export could be better",
    "priority": 6,
    "helpLink": "500",
    "exportCategoryIds": [
      522
    ],
    "exportCountryIds": [
      "NL"
    ],
    "exportBrand": {
      "id": 2653,
      "name": "nike"
    }
  }
}
{
  "errors": {
    "message": "Resource access denied."
  }
}
{
  "errors": {
    "message": "Export Brand with id 99999 not found."
  }
}

How is this guide?